#!/usr/bin/perl 

package Fan;
use strict;
use Common;

my $assist_room = 0;
my $activate_assist = 0;

P::bindkey 
{
  Common::sparser "_";
} "";

P::bindkey 
{
  Common::sparser "_";
} "C-k5";




P::trig
{
   Common::sparser ".";
} '^     .','f1000:LD';




P::alias
{
        my $value = shift;
        if (! length $value)
        {
                P::echo '   -   (  )';
                P::echo ' ,         ...';
                P::echo ' ,     ';
                P::echo '2 -    1 -    ';
                P::echo '0 -   ';
        }
        $assist_room = $value;
} '_';


P::trig
{
	if ($Common::tank eq $1)
	{
	
        	$activate_assist = 1 if ($assist_room eq '1');
	}
} '^([娸]+) (||.?|.?|.?) ?? ?(.*)\.','f701';

P::trig
{
	if ( $assist_room eq 2 || ( $activate_assist && $assist_room eq 1 ) )
	{
		Common::sparser "order followers assist " . $Common::tank;
		$activate_assist = 0;
	}
} "^  (  .*? )?( )?(.*)\.", 'f1001';

P::trig
{
	if ( $assist_room eq $1 )
	{
		Common::eparser "order followers assist " . $1;
	}
} "^([娸]+) .?.?     ", 'f1001';

P::trig
{
	if ( $assist_room eq 1 ||  $assist_room eq 2)
	{
		Common::sparser "order followers assist " . $Common::tank;
	}
} '^       ', 'f1001';




P::trig
{
   Common::sparser " ";
} '^ ,  ,   . .. !','f1000:ZONING';
P::trig
{
   Common::sparser "       .     ..";
} '^    .','-f1000:ZONING';


###PK####

P::alias
{
	my $target = shift;
	$target =~ s/^\.//;
	Common::sparser "track $target";
} '';

P::trig
{
	my $target = $Target::target[$Target::curtar];
	if ( $target =~ /^\./ )
	{
		Common::sparser "$Target::attack[0] $target";
	}
} "^  (  .*? )?( )?(.*)\.", 'f1001';

P::trig {
	my $target = $Target::target[$Target::curtar];
	if (!( $target =~ /^\./ ))
	{
		P::echo '       ?';
	}

}'^       ?' , 'fg10001';

P::trig {
}'^      ?' , 'fg10001';

P::trig {
	my $target = $Target::target[$Target::curtar];
	if (!( $target =~ /^\./ ))
	{
		P::echo '      !';
	}
}'^      !' , 'fg10001';






####################
#### LOCATE BOT ####
####################

my %mobs = (
'-' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
'' => '',
'' => '2',
'' => '2',
'' => '2',
' ' => '2',
' ' => '2',
' ' => '2',
' ' => '3',
' ' => '3',
' ' => '3',
' ' => '3',
' ' => '3',
' ' => '3',
' ' => '3',
'-' => '3',
'-' => '3',
'-' => '3',
'-' => '3',
'-' => '3',
' ' => '3',
'-' => '3',
'' => '3',
'' => '3',
'' => '3',
' ' => '3',
'' => '3',
' ' => '3',
'-' => '3',
' ' => '3',
'' => '',
' ' => '',
'' => '',
'' => '',
' ' => '',
' ' => '',
'  ' => '',
' ' => '',
' ' => '',
'' => '',
'' => '',
' ' => '',
'' => '',
' ' => '',
' ' => '',
'  ' => '',
'' => ' ',
' ' => ' ',
' ' => ' ',
' ' => ' ',
'' => ' ',
'' => '',
'-' => '',
'-' => '',
' ' => '',
'' => '',
' ' => '',
' ' => '',
'' => '',
' ' => '',
' ' => '',
'' => '',
' ' => '',
'' => '',
'  ' => '',
'' => '',
'' => '',
'' => '2',
' ' => '2',
'' => '2',
'' => '2',
'' => '2',
'' => '2',
'' => '2',
'' => '2',
'' => '2',
'' => '2',
'' => '2',
'' => '   ',
' ' => '   ',
' ' => '   ',
' ' => '   ',
' ' => '   ',
'-' => '   ',
' ' => '   ',
' ' => '   ',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
'-' => '',
'-' => '',
'  ' => '',
' ' => '',
'-' => '',
'-' => '',
'-' => '',
'-' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
'  ' => '',
' ' => '',
'-' => '',
' ' => '',
' ' => '',
' ' => '',
'-' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '  ',
' ' => '  ',
' ' => '  ',
' ' => '  ',
' ' => '  ',
' ' => '  ',
' ' => '  ',
' ' => '  ',
' ' => '  ',
' ' => '  ',
' ' => '  ',
' ' => '  ',
' ' => '  ',
' ' => '  ',
' ' => '  ',
' ' => '  ',
' ' => '  ',
'-' => '',
'-' => '',
'-' => '',
'-' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
'' => '',
' ' => '',
' ' => '',
'' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
'-' => '',
' ' => '',
' ' => '',
'-' => '',
' ' => '',
' ' => '',
' ' => '',
'-' => '',
' ' => '',
' ' => '',
' ' => '',
'' => '',
'-' => '',
' ' => '',
' ' => '',
'-' => '',
'-' => '  ',
'' => '  ',
' ' => '  ',
' ' => '  ',
' ' => '  ',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
'' => '',
'' => '',
'' => '',
'' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '  ',
'  ' => '',
' ' => '',
' ' => '',
' ' => '',
' ' => '',
'' => '',
' ' => '   ',
' ' => '',
'  ' => ' ',
' ' => ' ',
' ' => '',
' ' => '',
' ' => '',
' ' => ' ',
' ' => ' ',
' ' => '',
' ' => '',
' ' => '',
' ' => ' ',
' ' => '',
'' => '',
' ' => ' ',
' ' => '  ',
' ' => '',
'  ' => ' ',
'  ' => '  ',
'  ' => ' ',
'  ' => '',
'  ' => ' ',
' ' => '    ',
' ' => ' ',
'  ' => '',
' ' => '',
' ' => '',
'  ' => ' ',
'' => '',
'  ' => '',
'  ' => '  ',
' ' => '',
'  ' => '',
' ' => '2',
' ' => '',
' ' => '',
' ' => ' ',
' ' => '',
' ' => '',
' ' => '',
'' => '',
' ' => ' ',
'' => '',
'' => '39',
' ' => '1',
'  ' => '2',
' ' => '2',
' ' => '2',
'' => '',
'' => '3... ',
'' => '',
'' => '  ',
' ' => '',
'  ' => ' ',
' ' => ' ',
' ' => ' ',
);

my @who_rnd = ('-','  ',' ','',' ',' ',' ','- ');

my %timeout = ();

my $locate_tell_comand;
my @mob_index = keys %mobs;
my $curr_index = 0;

P::trig
{
for (keys %timeout)
{
$timeout{$_}-- if ($timeout{$_} > 0);
}
} '^ .','-f2705:LOCATEBOT';



P::trig
{
cast_locate();
} '^   .      ','-f2705:LOCATEBOT';

P::trig
{
cast_locate();
} '^     !','-f2705:LOCATEBOT';



P::trig
{
  my $i = int (rand scalar @who_rnd - 1);
  my $who = $who_rnd[$i];

  Common::eparser $locate_tell_comand . " $who  " . $mobs{$mob_index[$curr_index]};
  Common::eparser '';

  $timeout{$mobs{$mob_index[$curr_index]}} = 10;
} '^   ','-f2705:LOCATEBOT';

P::trig
{
  my $i = int (rand scalar @who_rnd - 1);
  my $who = $who_rnd[$i];

  Common::eparser $locate_tell_comand . " $who  " . $mobs{$mob_index[$curr_index]};
  Common::eparser '';
  $timeout{$mobs{$mob_index[$curr_index]}} = 10;
} '^       .','-f2705:LOCATEBOT';


P::trig
{
  my $i = int (rand scalar @who_rnd - 1);
  my $who = $who_rnd[$i];

  Common::eparser $locate_tell_comand . " $who  " . $mobs{$mob_index[$curr_index]};
  Common::eparser '';
  $timeout{$mobs{$mob_index[$curr_index]}} = 10;
} "^ .*   .*  \.",'-f2705:LOCATEBOT';



sub cast_locate
{
  $curr_index++;
  $curr_index = 0 if ($mob_index[$curr_index] eq '');

  while ($timeout{$mobs{$mob_index[$curr_index]}} > 0)
  {
$curr_index++;
$curr_index = 0 if ($mob_index[$curr_index] eq '');
  } 
  my $target = $mob_index[$curr_index];
  $target =~ s/ /./g;
  Common::sparser 'stand';
  Common::eparser ' ! ! .' . $target;
}



P::alias
{
my $value = "@_";
if (! length $value)
{
P::echo ' ';
$locate_tell_comand = '';
MUD::disable_trigger 'LOCATEBOT';
}
else
{
$locate_tell_comand = $value;
MUD::enable_trigger 'LOCATEBOT';
P::echo " . : $locate_tell_comand";
cast_locate();
}
} '__';





Common::sparser "_ 2";
Common::sparser "__ ";


1;
